# net_user – Manage the aggregate of local users on network device

New in version 2.4.

- DEPRECATED

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.13

Why

  Updated modules released with more functionality

Alternative

  Use platform-specific “[netos]_user” module

## Synopsis

- This module provides declarative management of the local usernames configured on network devices. It allows playbooks to manage either individual usernames or the aggregate of usernames in the current running config. It also supports purging usernames from the configuration that are not explicitly defined.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | The set of username objects to be configured on the remote network device. The list entries can either be the username or a hash of username and properties. This argument is mutually exclusive with the `name` argument.
configured_password - |  | The password to be configured on the remote network device. The password needs to be provided in clear and it will be encrypted on the device. Please note that this option is not same as `provider password`.
name - |  | The username to be configured on the remote network device. This argument accepts a string value and is mutually exclusive with the `aggregate` argument. Please note that this option is not same as `provider username`.

nopassword
boolean

Choices:
- no
- yes

Defines the username without assigning a password. This will allow the user to login to the system without being authenticated by a password.

privilege - |  | The `privilege` argument configures the privilege level of the user when logged into the system. This argument accepts integer values in the range of 1 to 15.

purge
boolean

Choices:
- no ←
- yes

Instructs the module to consider the resource definition absolute. It will remove any previously configured usernames on the device with the exception of the `admin` user (the current defined set of users).

role - |  | Configures the role for the username in the device running configuration. The argument accepts a string value defining the role name. This argument does not check if the role has been configured on the device.
sshkey - |  | Specifies the SSH public key to configure for the given username. This argument accepts a valid SSH key value.

state
-

Choices:
- present ←
- absent

Configures the state of the username definition as it relates to the device operational configuration. When set to present, the username(s) should be configured in the device active configuration and when set to absent the username(s) should not be in the device active configuration

update_password
-

Choices:
- on_create
- always ←

Since passwords are encrypted in the device running config, this argument will instruct the module when to change the password. When set to `always`, the password will always be updated in the device and when set to `on_create` the password will be updated only if the username is created.

## Notes

Note

- This module is supported on `ansible_network_os` network platforms. See the Network Platform Options for details.

## Examples

    - name: create a new user
      net_user:
        name: ansible
        sshkey: "{{ lookup('file', '~/.ssh/id_rsa.pub') }}"
        state: present

    - name: remove all users except admin
      net_user:
        purge: yes

    - name: set multiple users to privilege level 15
      net_user:
        aggregate:
          - { name: netop }
          - { name: netend }
        privilege: 15
        state: present

    - name: Change Password for User netop
      net_user:
        name: netop
        configured_password: "{{ new_password }}"
        update_password: always
        state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['username ansible secret password', 'username admin secret admin']

## Status

- This module will be removed in version 2.13. [deprecated]

- For more information see DEPRECATED.

### Authors

- Trishna Guha (@trishnaguha)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.